Discounts
Update a discount code
PUT
/
api
/
v2
/
discounts
/
{shopId}
/
codes
/
{discountId}
Update a discount code
curl --request PUT \
--url https://api.itemshop.dev/api/v2/discounts/{shopId}/codes/{discountId} \
--header 'Content-Type: application/json' \
--header 'X-API-Key: <api-key>' \
--data '
{
"description": "<string>",
"targets": [
"<string>"
],
"value": 1.01,
"expirationDate": "<string>",
"maxUsage": 2,
"minOrderValue": 1,
"maxDiscountAmount": 1,
"isActive": true
}
'import requests
url = "https://api.itemshop.dev/api/v2/discounts/{shopId}/codes/{discountId}"
payload = {
"description": "<string>",
"targets": ["<string>"],
"value": 1.01,
"expirationDate": "<string>",
"maxUsage": 2,
"minOrderValue": 1,
"maxDiscountAmount": 1,
"isActive": True
}
headers = {
"X-API-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {'X-API-Key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
description: '<string>',
targets: ['<string>'],
value: 1.01,
expirationDate: '<string>',
maxUsage: 2,
minOrderValue: 1,
maxDiscountAmount: 1,
isActive: true
})
};
fetch('https://api.itemshop.dev/api/v2/discounts/{shopId}/codes/{discountId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"data": {
"_id": "664f1a2b3c4d5e6f7a8b9c0d",
"code": "LATO10",
"scope": "all",
"type": "percentage",
"value": 10,
"maxUsage": 100,
"usedTimes": 3,
"expirationDate": "2023-11-07T05:31:56Z",
"isActive": true
},
"message": "<string>"
}{
"success": false,
"statusCode": 400,
"error": "Error message",
"timestamp": "2023-11-07T05:31:56Z",
"path": "/api/v2/..."
}{
"success": false,
"statusCode": 400,
"error": "Error message",
"timestamp": "2023-11-07T05:31:56Z",
"path": "/api/v2/..."
}{
"success": false,
"statusCode": 400,
"error": "Error message",
"timestamp": "2023-11-07T05:31:56Z",
"path": "/api/v2/..."
}{
"success": false,
"statusCode": 400,
"error": "Error message",
"timestamp": "2023-11-07T05:31:56Z",
"path": "/api/v2/..."
}{
"success": false,
"statusCode": 400,
"error": "Error message",
"timestamp": "2023-11-07T05:31:56Z",
"path": "/api/v2/..."
}Authorizations
apiKeyAuthbearerAuth
Path Parameters
Shop ID (ObjectId)
Discount code ID (ObjectId)
Body
application/json
Description note
Maximum string length:
200Scope
Available options:
all, server, product Target IDs
Discount type
Available options:
percentage, fixed Value
Required range:
x >= 0.01Expiration date (ISO 8601)
Max usage count
Required range:
x >= 1Minimum order value
Required range:
x >= 0Max discount amount cap
Required range:
x >= 0Active
Was this page helpful?
⌘I
Update a discount code
